function predoutput = predfunc(E, Enew, i, j)

iR = i+1; %  right neighbor
iL = i-1; %  left neighbor
jU = j+1; %  upper neighor
jD = j-1; %  lower neighbor

global N dpred dprey dveg predrep preyrep vegrep

%boundary conditions (pacman style)
if iL < 1 
    iL = N;
end
if iR > N
    iR = 1;
end
if jU > N
    jU = 1;
end
if jD < 1 
    jD = N;
end

U = rand();

%death of old age by probability
death = rand();
if death < dpred
    Enew(i,j) = 0;
    


%if in range of prey, eat and reproduce
elseif (E(iR,j) == 1 | E(iL,j) == 1 | E(i,jU) == 1 | E(i,jD) == 1)
    if E(iR,j) == 1 && U < predrep
        Enew(iR,j) = 2;
    elseif E(iL,j) == 1 && U < predrep
        Enew(iL,j) = 2;
    elseif E(i,jU) == 1 && U < predrep
        Enew(i,jU) = 2;
    elseif E(i,jD) == 1 && U < predrep
        Enew(i,jD) = 2;
    end

       


else
    p = rand();
    if p < .25
        if E(iR,j) == 0
            Enew(iR,j) = 2;
            Enew(i,j) = 0;
        end
    end
    if p >= .25 && p < .5
        if E(iL,j) == 0
            Enew(iL,j) = 2;
            Enew(i,j) = 0;
        end
    end
    if p >= .5 && p < .75
        if E(i,jU) == 0
            Enew(i,jU) = 2;
            Enew(i,j) = 0;
        end
    end
    if p >= .75 && p < 1
        if E(i,jD) == 0
            Enew(i,jD) = 2;
            Enew(i,j) = 0;
        end
    end
end

predoutput = Enew;