function preyoutput = preyfunc(E, Enew, i, j)

iR = i+1; %  right neighbor
iL = i-1; %  left neighbor
jU = j+1; %  upper neighor
jD = j-1; %  lower neighbor

global N dpred dprey dveg predrep preyrep vegrep

%boundary conditions (pacman style)
if iL < 1 
    iL = N;
end
if iR > N
    iR = 1;
end
if jU > N
    jU = 1;
end
if jD < 1 
    jD = N;
end

U = rand();

death = rand();
if death < dprey
    Enew(i,j) = 0;
    
    
%if near predator, stay put because you are in range of being eaten
elseif (E(iR,j) == 2 | E(iL,j) == 2 | E(i,jU) == 2 | E(i,jD) == 2)
    Enew = Enew;
   
%if in range of vegetation, eat vegetation and reproduce
elseif (E(iR,j) == 3 | E(iL,j) == 3 | E(i,jU) == 3 | E(i,jD) == 3)
    if E(iR,j) == 3 && U < preyrep
        Enew(iR,j) = 1;
    elseif E(iL,j) == 3 && U < preyrep
        Enew(iL,j) = 1;
    elseif E(i,jU) == 3 && U < preyrep
        Enew(i,jU) = 1;
    elseif E(i,jD) == 3 && U < preyrep
        Enew(i,jD) = 1;
    end

       


else
    p = rand();
    if p < .25
        if E(iR,j) == 0
            Enew(iR,j) = 1;
            Enew(i,j) = 0;
        end
    end
    if p >= .25 && p < .5
        if E(iL,j) == 0
            Enew(iL,j) = 1;
            Enew(i,j) = 0;
        end
    end
    if p >= .5 && p < .75
        if E(i,jU) == 0
            Enew(i,jU) = 1;
            Enew(i,j) = 0;
        end
    end
    if p >= .75 && p < 1
        if E(i,jD) == 0
            Enew(i,jD) = 1;
            Enew(i,j) = 0;
        end
    end
end

preyoutput = Enew;